package com.cpms.project.training.service.impl;

import java.util.List;

import com.cpms.project.training.domain.TTrainRoster;
import com.cpms.project.training.mapper.TTrainRosterMapper;
import com.cpms.project.training.service.ITTrainRosterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 培训签字Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-03
 */
@Service
public class TTrainRosterServiceImpl implements ITTrainRosterService
{
    @Autowired
    private TTrainRosterMapper tTrainRosterMapper;

    /**
     * 查询培训签字
     * 
     * @param id 培训签字主键
     * @return 培训签字
     */
    @Override
    public TTrainRoster selectTTrainRosterById(Long id)
    {
        return tTrainRosterMapper.selectTTrainRosterById(id);
    }

    /**
     * 查询培训签字列表
     * 
     * @param tTrainRoster 培训签字
     * @return 培训签字
     */
    @Override
    public List<TTrainRoster> selectTTrainRosterList(TTrainRoster tTrainRoster)
    {
        return tTrainRosterMapper.selectTTrainRosterList(tTrainRoster);
    }

    /**
     * 新增培训签字
     * 
     * @param tTrainRoster 培训签字
     * @return 结果
     */
    @Override
    public int insertTTrainRoster(TTrainRoster tTrainRoster)
    {
        return tTrainRosterMapper.insertTTrainRoster(tTrainRoster);
    }

    /**
     * 修改培训签字
     * 
     * @param tTrainRoster 培训签字
     * @return 结果
     */
    @Override
    public int updateTTrainRoster(TTrainRoster tTrainRoster)
    {
        return tTrainRosterMapper.updateTTrainRoster(tTrainRoster);
    }

    /**
     * 批量删除培训签字
     * 
     * @param ids 需要删除的培训签字主键
     * @return 结果
     */
    @Override
    public int deleteTTrainRosterByIds(Long[] ids)
    {
        return tTrainRosterMapper.deleteTTrainRosterByIds(ids);
    }

    /**
     * 删除培训签字信息
     * 
     * @param id 培训签字主键
     * @return 结果
     */
    @Override
    public int deleteTTrainRosterById(Long id)
    {
        return tTrainRosterMapper.deleteTTrainRosterById(id);
    }
}
